# OpalProductInfo Class Reference

`#include <connection.h>`

List of all members.

## Public Member Functions

| OpalProductInfo ()
PCaselessString | AsString () const

## Static Public Member Functions

static OpalProductInfo & | Default ()

## Public Attributes

PString | vendor
PString | name
PString | version
PString | comments
BYTE | t35CountryCode
BYTE | t35Extension
WORD | manufacturerCode

## Detailed Description

Class for carying vendor/product information.

## Constructor & Destructor Documentation

OpalProductInfo::OpalProductInfo | ( |  | ) |

## Member Function Documentation

static OpalProductInfo& OpalProductInfo::Default | ( |  | ) | `[static]`

PCaselessString OpalProductInfo::AsString | ( |  | ) | const

## Member Data Documentation

PString OpalProductInfo::vendor

PString OpalProductInfo::name

PString OpalProductInfo::version

PString OpalProductInfo::comments

BYTE OpalProductInfo::t35CountryCode

BYTE OpalProductInfo::t35Extension

WORD OpalProductInfo::manufacturerCode

The documentation for this class was generated from the following file:

- connection.h